misc/moreutils - The NetBSD Packages Collection

Additional Unix utilities

moreutils is a growing collection of the unix tools that nobody
thought to write long ago when unix was young.

It consists of these tools:

 - chronic: runs a command quietly unless it fails
 - combine: combine the lines in two files using boolean operations
 - errno: look up errno names and descriptions
 - ifdata: get network interface info without parsing ifconfig output
 - isutf8: check if a file or standard input is utf-8
 - ifne: run a command if the standard input is not empty
 - lckdo: execute a program with a lock held (deprecated)
 - mispipe: pipe two commands, returning the exit status of the first
 - parallel: run multiple jobs at once
 - pee: tee standard input to pipes
 - sponge: soak up standard input and write to a file
 - ts: timestamp standard input
 - vidir: edit a directory in your text editor
 - vipe: insert a text editor into a pipe
 - zrun: automatically uncompress arguments to command

Build dependencies

textproc/docbook-xsl textproc/libxml2 textproc/libxslt pkgtools/cwrappers devel/gmake lang/perl5

Runtime dependencies

devel/p5-IPC-Run lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmoreutils-0.64.tgz
NetBSD 8.0earmv7hfmoreutils-0.63nb2.tgz
NetBSD 8.0earmv7hfmoreutils-0.65.tgz
NetBSD 8.0i386moreutils-0.63nb2.tgz
NetBSD 8.0i386moreutils-0.64.tgz
NetBSD 8.0i386moreutils-0.65.tgz
NetBSD 8.0powerpcmoreutils-0.63nb2.tgz
NetBSD 8.0powerpcmoreutils-0.64.tgz
NetBSD 8.0powerpcmoreutils-0.64.tgz
NetBSD 8.0x86_64moreutils-0.63nb2.tgz
NetBSD 8.0x86_64moreutils-0.64.tgz
NetBSD 9.0aarch64moreutils-0.65.tgz
NetBSD 9.0aarch64moreutils-0.63nb2.tgz
NetBSD 9.0aarch64moreutils-0.64.tgz
NetBSD 9.0alphamoreutils-0.63nb2.tgz
NetBSD 9.0alphamoreutils-0.64.tgz
NetBSD 9.0earmv6hfmoreutils-0.65.tgz
NetBSD 9.0earmv6hfmoreutils-0.63nb2.tgz
NetBSD 9.0earmv6hfmoreutils-0.64.tgz
NetBSD 9.0earmv6hfmoreutils-0.64.tgz
NetBSD 9.0earmv7hfmoreutils-0.65.tgz
NetBSD 9.0earmv7hfmoreutils-0.63nb2.tgz
NetBSD 9.0earmv7hfmoreutils-0.64.tgz
NetBSD 9.0earmv7hfmoreutils-0.64.tgz
NetBSD 9.0i386moreutils-0.63nb2.tgz
NetBSD 9.0i386moreutils-0.64.tgz
NetBSD 9.0mips64ebmoreutils-0.63nb2.tgz
NetBSD 9.0mips64ebmoreutils-0.64.tgz
NetBSD 9.0powerpcmoreutils-0.64.tgz
NetBSD 9.0powerpcmoreutils-0.63nb2.tgz
NetBSD 9.0sparc64moreutils-0.63nb2.tgz
NetBSD 9.0sparc64moreutils-0.64.tgz
NetBSD 9.0sparcmoreutils-0.63nb2.tgz
NetBSD 9.0x86_64moreutils-0.64.tgz
NetBSD 9.0x86_64moreutils-0.64.tgz
NetBSD 9.0x86_64moreutils-0.65.tgz
NetBSD 9.0x86_64moreutils-0.63nb2.tgz
NetBSD 9.0x86_64moreutils-0.64.tgz
NetBSD 9.0x86_64moreutils-0.65.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.